--账户
--账号存储数据库
--
--未绑定账户登录
local g_account_host = "http://192.168.1.43:8080/war"
if g_system ~= 4 then--DP_PLATFORM_WIN32
	g_account_host = "http://23.253.221.242/waraccount"--测试服
	g_account_host = "http://23.253.33.207/waraccount"--正式服
end
function account_setHost(strip,port)
	g_account_host = strip..":"..port
end
--[[
ntype:
1,未绑定账户登录接口
2,绑定帐户接口
4,绑定账户登录接口

1 == 登录或创建
http://192.168.1.43:8080/war/login?op_code=1&partner_id=1&sn=78900100002&sc=1d3e0a2304d7653e16695ce51abb44e9

2 == 绑定账户(facebook etc.)
3 ==充值
4 == 已绑定账户登录
5==绑定账户(email 绑定)
6==email登录

7 获取服务器信息

8 清除SN接口
9 通过facebook绑定 email:
10 通过email绑定 facebook:
11 新facebook登陆方式
12 create account
保存格式:id,sv1(账户编号),sv2(最后登录时间),sv3(游戏服编号),sv4(游戏服务器ip),sv5(端口),sv6(此帐号游戏登录key),sv7(预留),sv8(预留),sv9(预留),sv10(预留)

--只记录一条 已经绑定的账号
]]
local g_account_type = 0
local g_account_arg  = {
	"",--账户编号
	"",--最后登录时间
	"",--游戏服编号
	"",--游戏服务器ip
	"",--端口
	"",--此帐号游戏登录key
	"",--预留   绑定名
	"",--预留   email
	"",--预留   email-password
	"",--预留   绑定名的昵称
}
local g_account_arg2 = {--请求前记录
	"",--账户编号
	"",--最后登录时间
	"",--游戏服编号
	"",--游戏服务器ip
	"",--端口
	"",--此帐号游戏登录key
	"",--预留   绑定名
	"",--预留   email
	"",--预留   email-password
	"",--预留   绑定名的昵称
}
--需求:如果是网络返回是空,则重新自动再请求2次,如果3次网络返回都是空,则报网络错误
local g_account_getAccountArg = {}--临时记录 account_getAccount()接口参数值,以便重复请求
local g_account_getAccountTryArg = {}--Try参数临时记录
local g_account_getAccountCount=0

function account_getArg()
	return g_account_arg
end
function account_setArgByIndex(str,nindex)
	if g_account_arg[nindex] ~= nil then
		g_account_arg[nindex] = str
	end
end
function account_resetArg()
	g_account_arg  = {
		"",--账户编号
		"",--最后登录时间
		"",--游戏服编号
		"",--游戏服务器ip
		"",--端口
		"",--此帐号游戏登录key
		"",--预留   绑定名
		"",--预留   email
		"",--预留   email-password
		"",--预留   绑定名的昵称
	}
end

function account_createTable()    --建表
	print("account_createTable")
	local nsqlite = changeDataToSql("CREATE TABLE IF NOT EXISTS gameAcc (id INTEGER PRIMARY KEY,sv1 varchar(32),sv2 varchar(32),sv3 varchar(32),sv4 varchar(32),sv5 varchar(32),sv6 varchar(32),sv7 varchar(32),sv8 varchar(32),sv9 varchar(32),sv10 varchar(32) )" )
	if nsqlite ~= 0 then
		account_getSDKSqlite()
	end
end

function account_getsql()
	print("account_getsql")
	account_createTable()
	print("account_getsql a")
	local vv = getDataForSql("mb6", string.format("select * from gameAcc ")  )
	if vv ~= nil and type(vv) == "table" then
		if #vv > 0 then
			print("vv[1]:"..tabletostring(vv[1]) )
			for i = 1 ,10 do
				g_account_arg[i] = vv[1]["sv"..i]

			end
			print("account_getsql g_account_arg:"..tabletostring(g_account_arg))
		end
	else
		changeDataToSql( string.format( "INSERT INTO gameAcc VALUES(?,'','','','','','','','','','' );") )
	end
	print("account_getsql g_account_arg:"..tabletostring(g_account_arg) )
	if g_account_arg[7] ~= "" then
		--有绑定账号的 facebook
		account_getAccount(4,4,1,CData.m_pszMacIn,g_account_arg[7],"","",g_account_arg[10])--绑定账户登录接口
	elseif g_account_arg[8] ~= "" and g_account_arg[9] ~= "" then
		--email登陆
		account_getAccount(6,6,1,CData.m_pszMacIn,"",g_account_arg[8],g_account_arg[9],"")--绑定账户登录接口
	else
		if reLogin_checkShow() == 0 then--检查是否显示  加载前登陆
			--无绑定账号的
			account_getAccount(1,1,1,CData.m_pszMacIn,"","","","")--未绑定账户登录接口

		end

	end
	print("account_getsql b")
end

--测试时遇到sqlite无法存储,估计是表结构太老造成的,避免此类bug,在存储账号时,先把表删除掉重建再保存数据
function account_setsql()
	--删除表
	changeDataToSql( "drop table gameAcc;" )
	--建表
	account_createTable()
	--存数据
	changeDataToSql( string.format( "INSERT INTO gameAcc VALUES(?,'','','','','','','','','','' );") )

	local str = "update gameAcc set "
	print("account_setsql g_account_arg:"..tabletostring(g_account_arg))
	for i = 1 ,10 do
		if i == 1 then
			str = str .. string.format(" sv%d = '%s' ",i,g_account_arg[i])
		else
			str = str .. string.format(", sv%d = '%s' ",i,g_account_arg[i])
		end

	end
	str = str .. ";"
	print("account_setsql:"..str)
	local nsqlret = nil
	nsqlret = changeDataToSql( str )
	if nsqlret == nil then nsqlret = 1 end
	return nsqlret
end

--账号数据客户端存储
--检查存储成功,失败则再存储,3次失败,则对话框提示 客户端存储失败
function account_setsqlByArg(arg )
	print("account_setsqlByArg")
	--[[local g_account_arg  = {
		"",--账户编号                                         1
		"",--最后登录时间                               2
		"",--游戏服编号                                    3
		"",--游戏服务器ip           4
		"",--端口                                                  5
		"",--此帐号游戏登录key      6
		"",--预留   绑定名                                7
		"",--预留   email             8
		"",--预留   email-password    9
		"",--预留   绑定名的昵称                 10
	}]]
	--检查 	绑定名	email  email-password  绑定名的昵称
	local nsqlite = 0
	local nset = 0
	local nsqlitecount = 0
	if g_account_arg[1] ~= arg[1] or
		g_account_arg[2] ~= arg[2] or
		g_account_arg[3] ~= arg[3] or
		g_account_arg[4] ~= arg[4] or
		g_account_arg[5] ~= arg[5] or

		g_account_arg[7] ~= arg[7] or
		g_account_arg[8] ~= arg[8] or
		g_account_arg[9] ~= arg[9] or
		g_account_arg[10] ~= arg[10] then
		for i = 1 , 10 do
			g_account_arg[i] = arg[i]
		end
		nset = 1
		for i = 1 , 3 do
			nsqlitecount = nsqlitecount + 1
			nsqlite = account_setsql()
			if nsqlite == 0 then
				break
			end
		end
		if nsqlite ~= 0  then
			showClum({"账号数据客户端存储不成功",1,notfloat = true})
		end
	end
	if nset == 0 then
		for i = 1 , 10 do
			g_account_arg[i] = arg[i]
		end
	end
	print(string.format("account_setsqlByArg nsqlite:%d,nset:%d,nsqlitecount:%d",nsqlite,nset,nsqlitecount))

	account_setSDKSqlite()
end

function account_getAccountTry(ntype)
	print("account_getAccountTry ntype:"..ntype)
	local ntry = 0
	if g_account_getAccountCount < 3 then
		if g_account_getAccountArg ~= nil then
			if g_account_getAccountArg[1] ~= nil then
				if g_account_getAccountArg[1] == ntype then
					if #g_account_getAccountArg >= 8 then
						local arg = g_account_getAccountArg
						g_account_getAccountTryArg = arg
						--account_getAccount(arg[1],arg[2],arg[3],arg[4],arg[5],arg[6],arg[7],arg[8],1)

						settimer(TIMER_ID_ACCOUNT_TRY,2,"account_getAccountTryTimer",1) --下一帧再试,避免卡死

						ntry = 1
					else
						print("#g_account_getAccountArg < 8")
					end
				else
					print("g_account_getAccountArg[1] ~= ntype")
					--g_account_getAccountCount = 0
				end
			else
				print("g_account_getAccountArg[1] == nil")
			end
		else
			print("g_account_getAccountArg == nil")
		end
	else
		print("g_account_getAccountCount >=3")
		--g_account_getAccountCount = 0
	end
	print("account_getAccountTry ret ntry:"..ntry)
	return ntry
end

function account_getAccountTryTimer()
	local arg = g_account_getAccountTryArg
	account_getAccount(arg[1],arg[2],arg[3],arg[4],arg[5],arg[6],arg[7],arg[8],1,arg[9])
end

--http请求
function account_getAccount(ntype,op_code,partner_id,sn,bind_name,email,password,bind_name2,ntry,nserverid)--ntry 重试
	if ntry == nil then ntry = 0 end
	if nserverid == nil then nserverid = 0 end
	bind_name2 = "facebookname" --facebook 的昵称不往上发送 ,facebook昵称包括不同语言，可能会有乱码，已经不用了
	g_account_getAccountArg = {ntype,op_code,partner_id,sn,bind_name,email,password,bind_name2,nserverid }
	if ntry == 0 then
		g_account_getAccountCount = 0
	end
	g_account_getAccountCount = g_account_getAccountCount + 1

	g_account_type = ntype
	--g_account_arg[7] = bind_name
	print(string.format("account_getAccount ntype:%s, op_code:%s, partner_id:%s, sn:%s, bind_name:%s,email:%s,password:%s,bind_name2:%s,ntry:%d,ncount:%d,nserverid:%d",ntype,op_code,partner_id,sn,bind_name,email,password,bind_name2,ntry,g_account_getAccountCount,nserverid) )
	local str= "dipan"..sn
	print("str:"..str)
	local sc = 	getmd5(str )
	print("sc:"..sc)
	local strsource = ""
	local funcback = ""
	if ntype == 1 then--1 == 登录或创建 --未绑定账户登录接口
		if nserverid == 0 then
			nserverid = tonumber( g_account_arg[3] )--最近本机器登陆的服务器id
			if nserverid == nil then nserverid = 0 end
			print("account_getAccount last serverid:"..nserverid)
		end
		if nserverid == 0 then
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s",g_account_host,op_code,partner_id,sn,sc)
		else
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&server_id=%d",g_account_host,op_code,partner_id,sn,sc,nserverid)
		end
		funcback = "account_httpLoginCmping"
	elseif ntype == 2 then--2 == 绑定账户(facebook etc.)
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&bind_name=%s&alias_name=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(bind_name),urlTran_getStr(bind_name2) )
		funcback = "account_httpBindCmping"
		g_account_arg2[7] = bind_name
		g_account_arg2[10] = bind_name2
	elseif ntype == 3 then--充值

	elseif ntype == 4 then--4 == 已绑定账户登录
		g_account_arg2[7] = bind_name
		g_account_arg2[10] = bind_name2
		if nserverid == 0 then
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&bind_name=%s&alias_name=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(bind_name),urlTran_getStr(bind_name2))
		else
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&bind_name=%s&alias_name=%s&server_id=%d",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(bind_name),urlTran_getStr(bind_name2),nserverid)
		end
		funcback = "account_httpLoginBindCmping"

	elseif ntype == 5 then--5==绑定账户(email 绑定)
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&email=%s&password=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(email),urlTran_getStr(password))
		funcback = "account_emailBindCmping"
		g_account_arg2[8] = email
		g_account_arg2[9] = password
	elseif ntype == 6 then--6==email登录
		g_account_arg2[8] = email
		g_account_arg2[9] = password
		if nserverid == 0 then
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&email=%s&password=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(email),urlTran_getStr(password))
		else
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&email=%s&password=%s&server_id=%d",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(email),urlTran_getStr(password),nserverid)
		end
		funcback = "account_emailLoginCmping"
	elseif ntype == 7 then--7==获取服务器信息
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s",g_account_host,op_code,partner_id,sn,sc )
		funcback = "account_getServerListCmping"

	elseif ntype == 8 then--8 清除SN接口
		local nid = g_account_arg[1]
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&id=%d",g_account_host,op_code,partner_id,sn,sc,nid)
		funcback = "account_clearSNCmping"
	elseif ntype == 9 then--9 通过facebook绑定 email:
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&email=%s&password=%s&bind_name=%s&alias_name=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(email),urlTran_getStr(password),urlTran_getStr(g_account_arg[7]),urlTran_getStr(g_account_arg[10]))
		funcback = "account_emailBindCmpingByFb"
		g_account_arg2[8] = email
		g_account_arg2[9] = password
	elseif ntype == 10 then--10 通过email绑定 facebook:
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&email=%s&password=%s&bind_name=%s&alias_name=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(g_account_arg[8]),urlTran_getStr(g_account_arg[9]),urlTran_getStr(bind_name),urlTran_getStr(bind_name2))
		funcback = "account_httpBindCmpingByEmail"
		g_account_arg2[7] = bind_name
		g_account_arg2[10] = bind_name2
	elseif ntype == 11 then--11新facebook登陆
		--strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&email=%s&password=%s&bind_name=%s&alias_name=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(g_account_arg[8]),urlTran_getStr(g_account_arg[9]),urlTran_getStr(bind_name),urlTran_getStr(bind_name2))
		strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&bind_name=%s&alias_name=%s&cur_bind_name=%s&cur_alias_names=%s&email=%s&password=%s",g_account_host,op_code,partner_id,sn,sc,urlTran_getStr(bind_name),urlTran_getStr(bind_name2),urlTran_getStr(g_account_arg[7]),urlTran_getStr(g_account_arg[10]),urlTran_getStr(g_account_arg[8]),urlTran_getStr(g_account_arg[9]))

		funcback = "account_httpNewFacebookCmping"
		g_account_arg2[7] = bind_name
		g_account_arg2[10] = bind_name2
	elseif ntype == 12 then--12 new Game   create account
		nserverid = tonumber( g_account_arg[3] )--最近本机器登陆的服务器id
		if nserverid == nil then nserverid = 0 end
		print("account_getAccount last serverid:"..nserverid)
		if nserverid == 0 then
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s",g_account_host,op_code,partner_id,sn,sc)
		else
			strsource = string.format("%s/login?op_code=%d&partner_id=%d&sn=%s&sc=%s&server_id=%d",g_account_host,op_code,partner_id,sn,sc,nserverid)
		end
		funcback = "account_httpNewGameCmping"
	end
	print("strsource:"..strsource)

	--updatebacktype 0写入文件 1返回字符串
	local supdate =  [[
	{local res = arg[1]
	local funcback = arg[2]
	}
	<mx:UpdateDiv id="account_main" onloadcmp="account_getAccountLoadcmp"  onupdatecmping="${funcback}">
		<mx:UpdateFile source="${res}" updatebacktype="1"/>
	</mx:UpdateDiv>]]
	local arg = {strsource ,funcback}

	delid2("main","account_main")

	flextodiv( supdate , arg  ,"main" )
end

--未绑定账户登录接口 		的http返回
function account_httpLoginCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_httpLoginCmping 1")
	btnloading_del()
	if str ~= nil then
		print("account_httpLoginCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_httpLoginCmping arg:"..tabletostring(arg) )
		reLogin_setHttpState(0)

		account_httpLoginBack(arg )
	else
		print("err account_httpLoginCmping str == nil ")
		local ntype = 1
		if account_getAccountTry(ntype) == 0 then
			showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})

			reLogin_setHttpState(0)
		end
	end
end

--绑定账户(facebook etc.) 		的http返回
function account_httpBindCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_httpBindCmping 2")
	btnloading_del()
	if str ~= nil then
		print("account_httpBindCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_httpBindCmping arg:"..tabletostring(arg) )
		account_httpBindBack(arg )
	else
		print("err account_httpBindCmping str == nil ")
		--showClum({CData:GetTranlang("绑定账户失败，请重新登录"),1,{"确定"}},{account_luareset})
		local ntype = 2
		if account_getAccountTry(ntype) == 0 then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		end
	end
end

--已绑定账户登录		的http返回
function account_httpLoginBindCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_httpLoginBindCmping 4")
	btnloading_del()
	if str ~= nil then
		print("account_httpLoginBindCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_httpLoginBindCmping arg:"..tabletostring(arg) )
		reLogin_setHttpState(0)

		account_httpLoginBindBack(arg )
	else
		print("err account_httpLoginBindCmping str == nil ")
		local ntype = 4
		if account_getAccountTry(ntype) == 0 then
			local div = getid2("main","setting_main")--getid2("main","setGame_main")
			local div1 = getid2("main","accountPop_main")
			if div ~= nil or div1 ~= nil then
				showClum({"网络不流畅，请重试",1,notfloat = true})
			else
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end

			reLogin_setHttpState(0)
		end
	end
end

--绑定账户(email 绑定)	的http返回
function account_emailBindCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_emailBindCmping 5")
	emailLogin_setHttpState(0)
	btnloading_del()
	if str ~= nil then
		print("account_emailBindCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_emailBindCmping arg:"..tabletostring(arg) )
		--account_httpBindBack(arg )
		account_emailBindBack(arg )--绑定EMAIL接口
	else
		print("err account_httpBindCmping str == nil ")
		--showClum({CData:GetTranlang("绑定email账户失败，请重新登录"),1,{"确定"}},{account_luareset})
		local ntype = 5
		if account_getAccountTry(ntype) == 0 then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		end
	end
end

--email登录	的http返回
function account_emailLoginCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_emailLoginCmping 6")
	emailLogin_setHttpState(0)
	btnloading_del()
	if str ~= nil then
		print("account_emailLoginCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_emailLoginCmping arg:"..tabletostring(arg) )
		reLogin_setHttpState(0)

		--account_httpBindBack(arg )
		account_emailLoginBack(arg )--EMAIL登录接口
	else
		print("err account_httpBindCmping str == nil ")
		local ntype = 6
		if account_getAccountTry(ntype) == 0 then
			local div = getid2("main","setting_main")--getid2("main","setGame_main")
			local div1 = getid2("main","accountPop_main")
			if div ~= nil or div1 ~= nil then
				showClum({"网络不流畅，请重试",1,notfloat = true})
			else
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end

			reLogin_setHttpState(0)
		end
	end
end

--获取服务器信息
function account_getServerListCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_getServerListCmping 7")
	btnloading_del()
	if str ~= nil then
		--print("account_getServerListCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local strData = str
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		--print("account_getServerListCmping arg:"..tabletostring(arg) )
		--account_httpBindBack(arg )
		account_getServerListBack(arg ,strData )--EMAIL登录接口
	else
		print("err account_httpBindCmping str == nil ")
		local ntype = 7
		if account_getAccountTry(ntype) == 0 then
			if serverList_getDataTryCount() >= 5 then
				showClum({"获取服务器信息，网络不流畅，请重试",1,notfloat = true})
				--showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end
		end
	end
end

--清除SN接口	的http返回
function account_clearSNCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_emailLoginCmping 6")
	btnloading_del()
	if str ~= nil then
		print("account_clearSNCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_clearSNCmping arg:"..tabletostring(arg) )
		--account_httpBindBack(arg )
		account_clearSNBack(arg )--EMAIL登录接口
	else
		print("err account_httpBindCmping str == nil ")
		local ntype = 8
		if account_getAccountTry(ntype) == 0 then
			--showClum({"网络不流畅，请重试",1,notfloat = true})
			showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
		end
	end
end

--绑定账户(email 绑定)	的http返回
function account_emailBindCmpingByFb(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_emailBindCmpingByFb 5")
	emailLogin_setHttpState(0)
	btnloading_del()
	if str ~= nil then
		print("account_emailBindCmpingByFb str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_emailBindCmpingByFb arg:"..tabletostring(arg) )
		--account_httpBindBack(arg )
		account_emailBindBackByFb(arg )--绑定EMAIL接口
	else
		print("err account_emailBindCmpingByFb str == nil ")
		--showClum({CData:GetTranlang("绑定email账户失败，请重新登录"),1,{"确定"}},{account_luareset})
		local ntype = 9
		if account_getAccountTry(ntype) == 0 then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		end
	end
end

--绑定账户(facebook etc.) 		的http返回
function account_httpBindCmpingByEmail(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_httpBindCmpingByEmail 2")
	btnloading_del()
	if str ~= nil then
		print("account_httpBindCmpingByEmail str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_httpBindCmpingByEmail arg:"..tabletostring(arg) )
		account_httpBindBackByEmail(arg )
	else
		print("err account_httpBindCmpingByEmail str == nil ")
		--showClum({CData:GetTranlang("绑定账户失败，请重新登录"),1,{"确定"}},{account_luareset})
		local ntype = 10
		if account_getAccountTry(ntype) == 0 then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		end
	end
end

--新facebook登陆 		的http返回
function account_httpNewFacebookCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_httpNewFacebookCmping 2")
	btnloading_del()
	if str ~= nil then
		print("account_httpNewFacebookCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_httpNewFacebookCmping arg:"..tabletostring(arg) )
		account_httpNewFacebookBack(arg )
	else
		print("err account_httpNewFacebookCmping str == nil ")
		--showClum({CData:GetTranlang("绑定账户失败，请重新登录"),1,{"确定"}},{account_luareset})
		local ntype = 10
		if account_getAccountTry(ntype) == 0 then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		end
	end
end

--new Game 		的http返回
function account_httpNewGameCmping(id,path,size,maxsize,str )--cmp( id , 更新文件路径 , 已下载长度 ,总长度 )
	print("account_httpNewGameCmping 1")
	btnloading_del()
	if str ~= nil then
		print("account_httpNewGameCmping str:"..str)
		--str = "ret:0,id:20003,lastLoginTime:1388475844,serverid:1,ip:192.168.0.1,port:9999,gameKey:abcd"
		local str = string.split(str,",")
		local arg = {}
		for i = 1 ,#str do
			local num = string.split(str[i],":")
			if #num >= 2 then
				arg[num[1] ] = num[2]
			elseif #num >= 1 then
				arg[num[1] ] = ""
			end
		end
		print("account_httpNewGameCmping arg:"..tabletostring(arg) )
		reLogin_setHttpState(0)

		account_httpNewGameBack(arg )
	else
		print("err account_httpLoginCmping str == nil ")
		local ntype = 1
		if account_getAccountTry(ntype) == 0 then
			showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})

			reLogin_setHttpState(0)
		end
	end
end

function account_getAccountLoadcmp(a)--下载结束回调
	print("account_getAccountLoadcmp")
	delid2("main","account_main")
end

function account_httpLoginBack(arg )--未绑定账户登录接口
	if arg["ret"] == nil then
		print("err account_httpLoginBack arg[\"ret\"] == nil")

--		g_account_arg={"","","","","", "","","","",""}--账号清空
--		account_setsql()
		showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
	elseif tonumber(arg["ret"]) ~= 0 then
		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"] )
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_httpLoginBack arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("由于帐户服务器登录失败，请重新登录。 ")..CData:GetTranlang(strErr)
--		g_account_arg={"","","","","", "","","","",""}--账号清空
--		account_setsql()
		--local argSql = {"","","","","", "","","","",""}--账号清空

		local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
		argSql[7] = ""
		argSql[8] = ""
		argSql[9] = ""
		argSql[10] = ""
		account_setsqlByArg(argSql )--账号清空

		if account_checkRet99999(arg["ret"],1) == 0 then --0 非99999错误 ,
			showClum({strErr,1,{"确定"}},{account_luareset})
		end
	else--0
		--验证网络返回的其他参数是否有效
		print("account_httpLoginBack arg:"..tabletostring(arg ))
		if arg["id"] == nil or arg["lastLoginTime"] == nil or arg["serverid"] == nil or arg["ip"] == nil or arg["port"] == nil or arg["gameKey"] == nil then
			print("err account_httpLoginBack arg[\"ret\"] == nil or ...")
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()
--			local argSql = {"","","","","", "","","","",""}--账号清空
--			account_setsqlByArg(argSql )--账号清空
			local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
			argSql[7] = ""
			argSql[8] = ""
			argSql[9] = ""
			argSql[10] = ""
			account_setsqlByArg(argSql )--账号清空

			local ntype = 1
			if account_getAccountTry(ntype) == 0 then
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end
		else
--			g_account_arg[1] = arg["id"]
--			g_account_arg[2] = arg["lastLoginTime"]
--			g_account_arg[3] = arg["serverid"]
--			g_account_arg[4] = arg["ip"]
--			g_account_arg[5] = arg["port"]
--			g_account_arg[6] = arg["gameKey"]
--			g_account_arg[7] = ""
--			g_account_arg[8] = ""
--			g_account_arg[9] = ""
--			g_account_arg[10] = ""
--			print("account_getsql g_account_arg:"..tabletostring(g_account_arg))
--
--			account_setsql()

			local argSql = {"","","","","", "","","","",""}--账号清空
			argSql[1] = arg["id"]
			argSql[2] = arg["lastLoginTime"]
			argSql[3] = arg["serverid"]
			argSql[4] = arg["ip"]
			argSql[5] = arg["port"]
			argSql[6] = arg["gameKey"]
			argSql[7] = account_changeNullStr(arg["bindName"])   --facebook
			argSql[8] = account_changeNullStr(arg["bindemail"])   --email
			argSql[9] = ""
			argSql[10] = account_changeNullStr(arg["bindAlias"])

			account_setsqlByArg(argSql )--未绑定账户登录接口
			local tryArg = g_account_getAccountArg
			if tryArg[9] == 0 then

				account_LoginServer()--登陆server
			else
				showClum({"选择服务器成功,请重登游戏",1,{"确定"}},{account_luareset})
			end
		end
	end
end

function account_httpBindBack(arg )--绑定帐户接口
	if arg["ret"] == nil then
		print("err account_httpBindBack arg[\"ret\"] == nil")

		--g_account_arg={"","","","","", "","","","",""}--账号清空
		--account_setsql()
		showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_httpBindBack arg[\"ret\"]:"..arg["ret"] )
		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a11  = "绑定失败",
			a12  = "游戏账号不存在",--"未知账户(未激活等)"
			a13  = "此账户已有绑定帐号",
			a14  = "该账户已经被使用",
			a15  = "合作商编号与激活时提供的不一致",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
			a18  = "绑定名是空值",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"] )
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_httpBindBack arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("绑定帐户。 ")..CData:GetTranlang(strErr)

		--g_account_arg={"","","","","", "","","","",""}--账号清空
		--account_setsql()
		--showClum({strErr,1,{"确定"}},{account_luareset})
		if account_checkRet99999(arg["ret"],0) == 0 then --0 非99999错误 ,
			if nret == 12 then
				showClum({strErr,1,{"确定"}},{account_luareset})
			else
				showClum({strErr,1,notfloat = true})
			end
		end
	else--0
		print("account_httpBindBack arg:"..tabletostring(arg ))
		--account_getAccount(1,1,1,get_login_mac(),g_account_arg[7],"","")--绑定账户登录接口
		--bindName:fb0001,bindAlias:null,bindemail:abc@abc.com

		--判断是否需要存储数据,并提示存储失败,便于用户反馈
		local argSql = copytable(g_account_arg )
		argSql[7] = g_account_arg2[7]
		argSql[10] = g_account_arg2[10]
		account_setsqlByArg(argSql )--绑定帐户接口


		deldiv("main","accountFbLogin_main")
		setGame_ref()
		setting_ref()
		showClum({"绑定帐户成功",1,notfloat = true})

		zhanghaoButtonShow()

		deldiv("main","accountFbLogin_main")
		deldiv("main","accountBind_main")
		deldiv("main","accountLogin_main")
		--2＝绑定Facebook
		httpsend( 1 , 0x013c , 0 , {CUserData.m_nUserID,2 },"share_revMsg","httpdp_svrStatus"  )
		facebookLike_show(0)
		--pingjiaShow_setTimer()--pingjiaShow()
	end
end

--ret:0,id:1,lastLoginTime:1388734814,serverid:1,ip:192.168.1.144,port:8712,gameKey:abc
function account_httpLoginBindBack(arg )--绑定账户登录接口
	if arg["ret"] == nil then
		print("err account_httpLoginBindBack arg[\"ret\"] == nil")

		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		if div ~= nil or div1 ~= nil then
			showClum({CData:GetTranlang("网络不流畅，请重试 "),1,notfloat = true})
		else--登陆阶段
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()
			showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
		end
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_httpLoginBindBack arg[\"ret\"]:"..arg["ret"] )
		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		if div ~= nil or div1 ~= nil then
		else--登陆阶段
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()
--			local argSql = {"","","","","", "","","","",""}--账号清空
--			account_setsqlByArg(argSql )--绑定帐户接口

			local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
			argSql[7] = ""
			argSql[8] = ""
			argSql[9] = ""
			argSql[10] = ""
			account_setsqlByArg(argSql )--账号清空
		end

		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a12  = "游戏账号不存在",--"未知账户(未激活等)",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
			a18  = "绑定名是空值",
		}
		local strErr = ""
		local nret = tonumber(arg["ret"])
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_httpLoginBindBack arg[\"ret\"]:"..arg["ret"] )
		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		local div2 = getid2("main","reLogin_main")	--加载前登陆
		if account_checkRet99999(arg["ret"],1) == 0 then --0 非99999错误 ,
			if div ~= nil or div1 ~= nil or div2 ~= nil then
				strErr = CData:GetTranlang("由于帐户服务器登录失败，请重新登录。 ")..CData:GetTranlang(strErr)
				--showClum({strErr,1,{"确定"}},{account_luareset})
	--			if nret == 12 then
	--				showClum({strErr,1,{"确定"}},{account_luareset})
	--			else
					showClum({strErr,1,notfloat = true})
	--			end
			else
				strErr = CData:GetTranlang("由于帐户服务器登录失败，请重新登录。 ")..CData:GetTranlang(strErr)
				showClum({strErr,1,{"确定"}},{account_luareset})
			end
		end
	else--0
		--验证网络返回的其他参数是否有效
		print("account_httpLoginBindBack arg:"..tabletostring(arg ))
		if arg["id"] == nil or arg["lastLoginTime"] == nil or arg["serverid"] == nil or arg["ip"] == nil or arg["port"] == nil or arg["gameKey"] == nil or arg["bindemail"] == nil then
			local ntype = 4
			if account_getAccountTry(ntype) == 0 then
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end
		else
			local argSql = copytable(g_account_arg )
			argSql[1] = arg["id"]
			argSql[2] = arg["lastLoginTime"]
			argSql[3] = arg["serverid"]
			argSql[4] = arg["ip"]
			argSql[5] = arg["port"]
			argSql[6] = arg["gameKey"]
			argSql[7] = g_account_arg2[7]
			argSql[10] = g_account_arg2[10]
			--bindName:fb0001,bindAlias:null,bindemail:abc@abc.com
			argSql[8] = account_changeNullStr(arg["bindemail"])   --email
			account_setsqlByArg(argSql )--绑定账户登录接口

			local div = getid2("main","setting_main")--getid2("main","setGame_main")
			local div1 = getid2("main","accountPop_main")
			if div ~= nil or div1 ~= nil then
				local tryArg = g_account_getAccountArg
				if tryArg[9] == 0 then
					showClum({"绑定账号登录成功,请重登游戏",1,{"确定"}},{account_luareset})
				else
					showClum({"选择服务器成功,请重登游戏",1,{"确定"}},{account_luareset})
				end
			else
				account_LoginServer()--登陆server
			end
		end
	end
end

function account_emailBindBack(arg )--绑定EMAIL接口
	print("account_emailBindBack 5")
	if arg["ret"] == nil then
		print("err account_emailBindBack arg[\"ret\"] == nil")
		showClum({CData:GetTranlang("网络不流畅，请重试 "),1,notfloat = true})
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_emailBindBack arg[\"ret\"]:"..arg["ret"] )
		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a11  = "绑定失败",
			a12  = "游戏账号不存在",--"未知账户(未激活等)",
			a13  = "此账户已有绑定帐号",
			a14  = "电子邮箱已绑定其他账户",
			a15  = "合作商编号与激活时提供的不一致",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
			a18  = "电子邮箱或者密码是空值",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"] )
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_emailBindBack arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("绑定EMAIL。 ")..CData:GetTranlang(strErr)
		--showClum({strErr,1,{"确定"}},{account_luareset})
		if account_checkRet99999(arg["ret"],0) == 0 then --0 非99999错误 ,
			if nret == 12 then
				showClum({strErr,1,{"确定"}},{account_luareset})
			else
				showClum({strErr,1,notfloat = true})
			end
		end
	else--0
		print("account_emailBindBack arg:"..tabletostring(arg ))
		--account_getAccount(6,6,1,get_login_mac(),g_account_arg[7],g_account_arg[8],g_account_arg[9])--EMAIL登录接口
		local argSql = copytable(g_account_arg )
		argSql[8] = g_account_arg2[8]
		argSql[9] = g_account_arg2[9]
		account_setsqlByArg(argSql )--绑定EMAIL接口

		deldiv("main","accountLogin_main")
		setGame_ref()
		setting_ref()
		showClum({"绑定EMAIL成功",1,notfloat = true})

		deldiv("main","accountFbLogin_main")
		deldiv("main","accountBind_main")
		deldiv("main","accountLogin_main")

		deldiv("main","emailLogin_main")

		--1＝绑定邮箱
		httpsend( 1 , 0x013c , 0 , {CUserData.m_nUserID,1 },"share_revMsg","httpdp_svrStatus"  )

		local nMansionLv   = CUserData:getBuildMaxLvByid(1)--议院等级
		if nMansionLv < 7 then
			pingjiaShow_setTimer()--pingjiaShow()
		end
	end
end

function account_emailLoginBack(arg )--EMAIL登录接口
	print("account_emailLoginBack 6")
	if arg["ret"] == nil then
		print("err account_emailLoginBack arg[\"ret\"] == nil")

		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		if div ~= nil or div1 ~= nil then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		else--登陆阶段
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()

			showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
		end


	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_emailLoginBack arg[\"ret\"]:"..arg["ret"] )

		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a12  = "没有此email和密码绑定的账户",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
			a18  = "电子邮箱或者密码是空值",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"])
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_emailLoginBack arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("EMAIL账号登录，请重试。 ")..CData:GetTranlang(strErr)



		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		local div2 = getid2("main","reLogin_main")	--加载前登陆
		if account_checkRet99999(arg["ret"],1) == 0 then --0 非99999错误 ,
			if div ~= nil or div1 ~= nil or div2 ~= nil then
				showClum({strErr,1,notfloat = true})
			else--登陆阶段
	--			g_account_arg={"","","","","", "","","","",""}--账号清空
	--			account_setsql()
	--			local argSql = {"","","","","", "","","","",""}--账号清空
	--			account_setsqlByArg(argSql )--账号清空
				local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
				argSql[7] = ""
				argSql[8] = ""
				argSql[9] = ""
				argSql[10] = ""
				account_setsqlByArg(argSql )--账号清空

				showClum({strErr,1,{"确定"}},{account_luareset})
			end
		end
	else--0
		--验证网络返回的其他参数是否有效
		print("account_emailLoginBack arg:"..tabletostring(arg ))
		if arg["id"] == nil or arg["lastLoginTime"] == nil or arg["serverid"] == nil or arg["ip"] == nil or arg["port"] == nil or arg["gameKey"] == nil or arg["bindName"] == nil or arg["bindAlias"] == nil then
			local ntype = 6
			if account_getAccountTry(ntype) == 0 then
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end
		else
			local argSql = copytable(g_account_arg )
			argSql[1] = arg["id"]
			argSql[2] = arg["lastLoginTime"]
			argSql[3] = arg["serverid"]
			argSql[4] = arg["ip"]
			argSql[5] = arg["port"]
			argSql[6] = arg["gameKey"]
			argSql[8] = g_account_arg2[8]
			argSql[9] = g_account_arg2[9]
			--bindName:fb0001,bindAlias:null,bindemail:abc@abc.com
			argSql[7] = account_changeNullStr(arg["bindName"])   --email
			argSql[10] = account_changeNullStr(arg["bindAlias"])
			account_setsqlByArg(argSql )--EMAIL登录接口

			local div = getid2("main","setting_main")--getid2("main","setting_main")--getid2("main","setGame_main")--
			local div1 = getid2("main","accountPop_main")

			local tryArg = g_account_getAccountArg

			if div ~= nil or div1 ~= nil then
				if tryArg[9] == 0 then
					showClum({"EMAIL账号登录成功,请重登游戏",1,{"确定"}},{account_luareset})
				else--if tryArg[9] ~= 0 then
					showClum({"选择服务器成功,请重登游戏",1,{"确定"}},{account_luareset})
				end
			else
				account_LoginServer()--登陆server
			end
		end
	end
end

--获取服务器信息
function account_getServerListBack(arg ,strData)
	print("account_getServerListBack 7")
	if arg["ret"] == nil then
		print("err account_getServerListBack arg[\"ret\"] == nil")

		--showClum({CData:GetTranlang("由于帐户服务器登录失败，请重新登录"),1,{"确定"}},{account_luareset})
		if serverList_getDataTryCount() >= 5 then
			showClum({"网络不流畅，请重试",1,notfloat = true})
		end
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_getServerListBack arg[\"ret\"]:"..arg["ret"] )

		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"])
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_getServerListBack arg[\"ret\"]:"..arg["ret"] )
		if serverList_getDataTryCount() >= 5 then
			strErr = CData:GetTranlang("获取服务器列表信息失败,请重试")..CData:GetTranlang(strErr)
			--showClum({strErr,1,{"确定"}},{account_luareset})
			showClum({strErr,1,notfloat = true})
		end
	else--0
		print("account_getServerListBack arg:"..tabletostring(arg ))

		--strData
		serverList_setData(strData )
--		account_resetArg()
--		account_setsql()
--		local argSql = {"","","","","", "","","","",""}--账号清空
--		account_setsqlByArg(argSql )--账号清空
--
--		showClum({"注销成功,请重登游戏",1,{"确定"}},{account_luareset})


	end
end

function account_clearSNBack(arg )--清除SN接口
	print("account_clearSNBack 6")
	if arg["ret"] == nil then
		print("err account_clearSNBack arg[\"ret\"] == nil")

		--showClum({CData:GetTranlang("由于帐户服务器登录失败，请重新登录"),1,{"确定"}},{account_luareset})
		showClum({"网络不流畅，请重试",1,notfloat = true})
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_clearSNBack arg[\"ret\"]:"..arg["ret"] )

		local aret = {
			a0   = "成功",
			a1   = "失败",
			a10  = "硬件码空值或者验证码错误",
			a12  = "没有此email和密码绑定的账户",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
			a1000= "id错误",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"])
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_clearSNBack arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("清除SN接口，请重试。 ")..CData:GetTranlang(strErr)
		--showClum({strErr,1,{"确定"}},{account_luareset})
		if account_checkRet99999(arg["ret"],0) == 0 then --0 非99999错误 ,
			showClum({strErr,1,notfloat = true})
		end
	else--0
		print("account_clearSNBack arg:"..tabletostring(arg ))
--		account_resetArg()
--		account_setsql()
		--local argSql = {"","","","","", "","","","",""}--账号清空

		local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
		argSql[7] = ""
		argSql[8] = ""
		argSql[9] = ""
		argSql[10] = ""

		account_setsqlByArg(argSql )--账号清空

		setLanguage_setArgByIndex("1",4)
		setLanguage_setsql()

		showClum({"注销成功,请重登游戏",1,{"确定"}},{account_luareset})
	end
end

function account_emailBindBackByFb(arg )--绑定EMAIL接口
	print("account_emailBindBackByFb 5")
	if arg["ret"] == nil then
		print("err account_emailBindBackByFb arg[\"ret\"] == nil")
		showClum({CData:GetTranlang("网络不流畅，请重试 "),1,notfloat = true})
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_emailBindBackByFb arg[\"ret\"]:"..arg["ret"] )
		local aret = {
			a0   = "成功",
			a1   = "email已经绑定了其他账号",
			a11  = "账号已经绑定过Email",
			a12  = "游戏账号不存在",--"未知账户(未激活等)",
			a18  = "电子邮箱或者密码是空值",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"] )
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_emailBindBackByFb arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("绑定EMAIL。 ")..CData:GetTranlang(strErr)
		--showClum({strErr,1,{"确定"}},{account_luareset})
		if account_checkRet99999(arg["ret"],0) == 0 then --0 非99999错误 ,
			if nret == 12 then
				showClum({strErr,1,{"确定"}},{account_luareset})
			else
				showClum({strErr,1,notfloat = true})
			end
		end
	else--0
		print("account_emailBindBackByFb arg:"..tabletostring(arg ))
		--account_getAccount(6,6,1,get_login_mac(),g_account_arg[7],g_account_arg[8],g_account_arg[9])--EMAIL登录接口

		local argSql = copytable(g_account_arg )
		argSql[8] = g_account_arg2[8]
		argSql[9] = g_account_arg2[9]
		account_setsqlByArg(argSql )--绑定EMAIL接口 ByFb

		deldiv("main","accountLogin_main")
		setGame_ref()
		setting_ref()

		deldiv("main","emailLogin_main")

		showClum({"绑定EMAIL成功",1,notfloat = true})
		--1＝绑定邮箱
		httpsend( 1 , 0x013c , 0 , {CUserData.m_nUserID,1 },"share_revMsg","httpdp_svrStatus"  )

		local nMansionLv   = CUserData:getBuildMaxLvByid(1)--议院等级
		if nMansionLv < 7 then
			pingjiaShow_setTimer()--pingjiaShow()
		end
	end
end

function account_httpBindBackByEmail(arg )--绑定帐户接口
	if arg["ret"] == nil then
		print("err account_httpBindBackByEmail arg[\"ret\"] == nil")

		--g_account_arg={"","","","","", "","","","",""}--账号清空
		--account_setsql()
		showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_httpBindBackByEmail arg[\"ret\"]:"..arg["ret"] )
		local aret = {
			a0   = "成功",
			a1   = "该Facebook已绑定其他账号",
			a11  = "账号已经绑定过Facebook",
			a12  = "游戏账号不存在",--"未知账户(未激活等)",
			a18  = "绑定名是空值",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"] )
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_httpBindBackByEmail arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("绑定帐户。 ")..CData:GetTranlang(strErr)
		--g_account_arg={"","","","","", "","","","",""}--账号清空
		--account_setsql()
		--showClum({strErr,1,{"确定"}},{account_luareset})
		if account_checkRet99999(arg["ret"],0) == 0 then --0 非99999错误 ,
			if nret == 12 then
				showClum({strErr,1,{"确定"}},{account_luareset})
			else
				showClum({strErr,1,notfloat = true})
			end
		end
	else--0
		print("account_httpBindBackByEmail arg:"..tabletostring(arg ))
		--account_getAccount(1,1,1,get_login_mac(),g_account_arg[7],"","")--绑定账户登录接口
		--bindName:fb0001,bindAlias:null,bindemail:abc@abc.com

		local argSql = copytable(g_account_arg )
		argSql[7] = g_account_arg2[7]
		argSql[10] = g_account_arg2[10]
		account_setsqlByArg(argSql )--绑定帐户接口 ByEmail

		deldiv("main","accountFbLogin_main")
		setGame_ref()
		setting_ref()
		showClum({"绑定帐户成功",1,notfloat = true})
		--2＝绑定Facebook
		httpsend( 1 , 0x013c , 0 , {CUserData.m_nUserID,2 },"share_revMsg","httpdp_svrStatus"  )
		facebookLike_show(0)
		--pingjiaShow_setTimer()--pingjiaShow()
	end
end

function account_httpNewFacebookBack(arg )--新facebook登陆
	if arg["ret"] == nil then
		print("err account_httpNewFacebookBack arg[\"ret\"] == nil")

		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		if div ~= nil or div1 ~= nil then
			showClum({CData:GetTranlang("网络不流畅，请重试 "),1,notfloat = true})
		else--登陆阶段
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()
			showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
		end
	elseif tonumber(arg["ret"]) ~= 0 then
		print("err account_httpNewFacebookBack arg[\"ret\"]:"..arg["ret"] )
		local div = getid2("main","setting_main")--getid2("main","setGame_main")
		local div1 = getid2("main","accountPop_main")
		if div ~= nil or div1 ~= nil then
		else--登陆阶段
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()
--			local argSql = {"","","","","", "","","","",""}--账号清空
--			account_setsqlByArg(argSql )--绑定帐户接口
			local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
			argSql[7] = ""
			argSql[8] = ""
			argSql[9] = ""
			argSql[10] = ""
			account_setsqlByArg(argSql )--账号清空
		end

		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a12  = "游戏账号不存在",--"未知账户(未激活等)",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
			a18  = "绑定名是空值",
			a19  = "绑定名是空值",
			a10000 = "系统错误，创建帐号失败",
		}
		local strErr = ""
		local nret = tonumber(arg["ret"])
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_httpNewFacebookBack arg[\"ret\"]:"..arg["ret"] )
		if account_checkRet99999(arg["ret"],0) == 0 then --0 非99999错误 ,
			local div = getid2("main","setting_main")--getid2("main","setGame_main")
			local div1 = getid2("main","accountPop_main")
			if div ~= nil or div1 ~= nil then
				strErr = CData:GetTranlang("由于帐户服务器登录失败，请重新登录。 ")..CData:GetTranlang(strErr)
				--showClum({strErr,1,{"确定"}},{account_luareset})
				if nret == 12 then
					showClum({strErr,1,{"确定"}},{account_luareset})
				else
					showClum({strErr,1,notfloat = true})
				end
			else
				strErr = CData:GetTranlang("由于帐户服务器登录失败，请重新登录。 ")..CData:GetTranlang(strErr)
				showClum({strErr,1,{"确定"}},{account_luareset})
			end
		end
	else--0
		--验证网络返回的其他参数是否有效
		print("account_httpNewFacebookBack arg:"..tabletostring(arg ))
		if arg["id"] == nil or arg["lastLoginTime"] == nil or arg["serverid"] == nil or arg["ip"] == nil or arg["port"] == nil or arg["gameKey"] == nil or arg["bindemail"] == nil then
			local ntype = 11
			if account_getAccountTry(ntype) == 0 then
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end
		else
			local argSql = copytable(g_account_arg )
			argSql[1] = arg["id"]
			argSql[2] = arg["lastLoginTime"]
			argSql[3] = arg["serverid"]
			argSql[4] = arg["ip"]
			argSql[5] = arg["port"]
			argSql[6] = arg["gameKey"]
			argSql[7] = g_account_arg2[7]
			argSql[10] = g_account_arg2[10]
			--bindName:fb0001,bindAlias:null,bindemail:abc@abc.com
			argSql[8] = account_changeNullStr(arg["bindemail"])   --email
			account_setsqlByArg(argSql )--绑定账户登录接口

			local div = getid2("main","setting_main")--getid2("main","setGame_main")
			local div1 = getid2("main","accountPop_main")

			if div ~= nil or div1 ~= nil then

 				showClum({"绑定账号登录成功,请重登游戏",1,{"确定"}},{account_luareset})

 				if arg["alreadybind"] ~= nil then
					--alreadybind:0   新绑
					--alreadybind:1   原来已经绑定
					if arg["alreadybind"] == "0" then
						--pingjiaShow_setTimer()--pingjiaShow()
					end
				end
			else
				account_LoginServer()--登陆server
			end
		end
	end
end

function account_httpNewGameBack(arg )--NewGame
	if arg["ret"] == nil then
		print("err account_httpNewGameBack arg[\"ret\"] == nil")

--		g_account_arg={"","","","","", "","","","",""}--账号清空
--		account_setsql()
		showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
	elseif tonumber(arg["ret"]) ~= 0 then
		local aret = {
			a0   = "成功",
			a10  = "硬件码空值或者验证码错误",
			a16  = "操作类型错误",
			a17  = "合作商编号错误",
		}
		local strErr = ""
		local nret = tonumber( arg["ret"] )
		if nret < 0 then
			nret = nret * -1
			strErr  = aret["a"..nret ]
			if strErr == nil then
				strErr = string.format("未知错误%d",nret)
			end
		end
		print("err account_httpNewGameBack arg[\"ret\"]:"..arg["ret"] )
		strErr = CData:GetTranlang("由于帐户服务器登录失败，请重新登录。 ")..CData:GetTranlang(strErr)
--		g_account_arg={"","","","","", "","","","",""}--账号清空
--		account_setsql()
--		local argSql = {"","","","","", "","","","",""}--账号清空
--		account_setsqlByArg(argSql )--账号清空
		local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
		argSql[7] = ""
		argSql[8] = ""
		argSql[9] = ""
		argSql[10] = ""
		account_setsqlByArg(argSql )--账号清空

		showClum({strErr,1,{"确定"}},{account_luareset})
	else--0
		--验证网络返回的其他参数是否有效
		print("account_httpNewGameBack arg:"..tabletostring(arg ))
		if arg["id"] == nil or arg["lastLoginTime"] == nil or arg["serverid"] == nil or arg["ip"] == nil or arg["port"] == nil or arg["gameKey"] == nil then
			print("err account_httpNewGameBack arg[\"ret\"] == nil or ...")
--			g_account_arg={"","","","","", "","","","",""}--账号清空
--			account_setsql()
--			local argSql = {"","","","","", "","","","",""}--账号清空
--			account_setsqlByArg(argSql )--账号清空
			local argSql = copytable(g_account_arg ) --保留serverid g_account_arg[3] 不清除,用于下次new Game,
			argSql[7] = ""
			argSql[8] = ""
			argSql[9] = ""
			argSql[10] = ""
			account_setsqlByArg(argSql )--账号清空
			local ntype = 1
			if account_getAccountTry(ntype) == 0 then
				showClum({CData:GetTranlang("网络不流畅，请重试"),1,{"确定"}},{account_luareset})
			end
		else
--			g_account_arg[1] = arg["id"]
--			g_account_arg[2] = arg["lastLoginTime"]
--			g_account_arg[3] = arg["serverid"]
--			g_account_arg[4] = arg["ip"]
--			g_account_arg[5] = arg["port"]
--			g_account_arg[6] = arg["gameKey"]
--			g_account_arg[7] = ""
--			g_account_arg[8] = ""
--			g_account_arg[9] = ""
--			g_account_arg[10] = ""
--			print("account_getsql g_account_arg:"..tabletostring(g_account_arg))
--
--			account_setsql()

			local argSql = {"","","","","", "","","","",""}--账号清空
			argSql[1] = arg["id"]
			argSql[2] = arg["lastLoginTime"]
			argSql[3] = arg["serverid"]
			argSql[4] = arg["ip"]
			argSql[5] = arg["port"]
			argSql[6] = arg["gameKey"]
			argSql[7] = ""
			argSql[8] = ""
			argSql[9] = ""
			argSql[10] = ""
			account_setsqlByArg(argSql )--未绑定账户登录接口
			local tryArg = g_account_getAccountArg
			if tryArg[9] == 0 then
				account_LoginServer()--登陆server
			else
				showClum({"选择服务器成功,请重登游戏",1,{"确定"}},{account_luareset})
			end
		end
	end
end

function account_LoginServer(nrelogin )--登陆server
	if nrelogin == nil then nrelogin = 0 end
	print("account_LoginServer nrelogin:"..nrelogin)
	deldiv("main","reLogin_main")
	tellUs_sethidden(0)

	reLogin_setHttpState(1)

	print("account_LoginServer")
	print("g_account_arg:"..tabletostring(g_account_arg ))
	local strip = g_account_arg[4]
	local nport = tonumber( g_account_arg[5] )

	print("socketinit :",strip  , nport  )
	socketinit( strip  , nport ,"socket_get","httpdp_revMsgNotice","","httpdp_svrStatusNotice",4)

	--CData.m_pszMacIn = g_account_arg[1]
	CData.m_accountid    = g_account_arg[1]
	CData.m_severid      = tonumber(g_account_arg[3])
	if CData.m_severid == nil then CData.m_severid = 1 end
	print("account_LoginServer CData.m_pszMacIn:"..CData.m_pszMacIn)
	print("account_LoginServer CData.m_accountid:"..CData.m_accountid)
	if nrelogin == 0 then
		showLoadProsse("正在加载...")
	end
	--登陆
	CUserData.m_nUserID = 0
	httpsend( 1 , 0x0002 , 0 , {CUserData.m_nUserID,0,1,{65,CData.m_accountid},CData.m_severid,{33,account_getArg()[6]}},"httpdp_revMsgLogin","httpdp_svrStatusLogin"  )

end

function account_luareset()
	print("account_luareset")
	luareset()
end

function account_changeNullStr(str)
	if str==nil or str == "null" then
		str = ""
	end
	return str
end

function account_getstate()--1 已绑定状态, 0 非
	if g_account_arg[7] ~= "" or g_account_arg[8] ~= "" then
		return 1
	end
	return 0
end

local g_account_getSDKSqliteTime = 0
function account_getSDKSqlite()
	print("account_getSDKSqlite ")
	local nenabled = 1
	if g_account_getSDKSqliteTime ~= 0 then
		if os.time() - g_account_getSDKSqliteTime < 5 then--每5秒钟只请求一次,避免反复请求造成崩溃
			nenabled = 0
		end
	end
	if nenabled == 1 then
		g_account_getSDKSqliteTime = os.time()
		conenttosocial(13,"2")
	else
		print("err account_getSDKSqlite nenabled == 0")
	end
end

function account_getSDKSqliteBack(str )
	print("account_getSDKSqliteBack str:"..str)

	--local str = "acc1^1|acc2^1|acc3^1|acc4^1|acc5^1|acc6^1|acc8^1|acc9^1|acc10^1|lang1^1|lang2^1|lang3^1|lang4^1|lang5^1|lang6^1|lang8^1|lang9^1|lang10^1|"
	print("account_getSDKSqlite str:"..str)

	local aaccindex = {acc1=1,acc2=2,acc3=3,acc4=4,acc5=5,acc6=6,acc7=7,acc8=8,acc9=9,acc10=10}
	local alangindex= {lang1=1,lang2=2,lang3=3,lang4=4,lang5=5,lang6=6,lang7=7,lang8=8,lang9=9,lang10=10}
	local a1 = string.split( str,"|" )
	for i = 1 ,#a1 do
		local aa1 = string.split( a1[i],"^" )
		if aa1[1] ~= nil then
			if aa1[2] == nil then aa1[1] = "" end

			if aaccindex[aa1[1] ] ~= nil then
				account_setArgByIndex(aa1[2] ,aaccindex[aa1[1] ])
			elseif alangindex[aa1[1] ] ~= nil then
				setLanguage_setArgByIndex(aa1[2] ,alangindex[aa1[1] ])
			end

		end
	end
	lua_delfile("mb6.sqlite") --下次更新底层时   此处取消注释
	--account_createTable()
	account_setsql()

	--setLanguage_createTable()
	setLanguage_setsql()
end

function account_setSDKSqlite()
	print("account_setSDKSqlite")
	local aacc = account_getArg()
	local alang =  setLanguage_getArg()
	local stracc  = string.format("acc1^%s|acc2^%s|acc3^%s|acc4^%s|acc5^%s|acc6^%s|acc7^%s|acc8^%s|acc9^%s|acc10^%s|",aacc[1],aacc[2],aacc[3],aacc[4],aacc[5],aacc[6],aacc[7],aacc[8],aacc[9],aacc[10] )
	local strlang = string.format("lang1^%s|lang2^%s|lang3^%s|lang4^%s|lang5^%s|lang6^%s|lang7^%s|lang8^%s|lang9^%s|lang10^%s|",alang[1],alang[2],alang[3],alang[4],alang[5],alang[6],alang[7],alang[8],alang[9],alang[10] )
	local str = stracc..strlang
	print("account_setSDKSqlite str:"..str)

	conenttosocial(13,"1$"..str)
end

function account_checkRet99999(argRet , nshow ) --0 非99999错误 ,
	if nshow == nil then nshow = 1 end
	local nret = 0
	if tonumber( argRet ) == -99999 then
		nret = 1
		local tryArg = g_account_getAccountArg
		if tryArg[9] == 0 and nshow == 1 then

			local div = getid2("main","setting_main")--getid2("main","setGame_main")
			local div1 = getid2("main","accountPop_main")
			local div2 = getid2("main","reLogin_main")	--加载前登陆
			if div == nil and div1 == nil then
				showLoadProsse("正在加载")
				reLogin_show()
			end
		end
		--showClum({"账号已经被冻结",1,{"确定"}},{account_luareset})
		showClum({"账号已经被冻结",1,notfloat = true})
	end
	return nret
end
