--跨服入口
div_crossService_str = [[
<mx:Canvas id="crossServicediv" width="720" height="1280" mouseThrough="false" systemload="1" onloadcmp="crossService_cmp">
	<mx:Canvas width="720" height="1280" horizontalCenter="0" verticalCenter="0">
		<mx:Image source="assets/images/bg01Kf.png" mouseThrough="true"/>
		<mx:Button styleName="btn02Close" id="colsebtn" x="620" y="39" onclick="crossService_close"/>
		
		<mx:Label text="跨服战场" fontSize="30" styleName="black03" horizontalCenter="0" y="70" width="350" mouseThrough="true" textAlign="center" fontWeight="bold"/>
		<mx:HBox horizontalCenter="0" y="255" mouseThrough="true">
			<mx:Label id="crosstime" text="${crossService_getTimeStr()}" fontSize="26" styleName="white01"/>
		</mx:HBox>
		<mx:Canvas width="720" height="720" y="339"  setslidetype="1"  mouseThrough="true">
			<mx:Text fontSize="26" styleName="black03" mouseThrough="true" text="Q：怎么将城市迁徙到跨服战场？/nA：先查看跨服地图，然后使用迁徙道具将城市迁徙跨服地图。/n/nQ：我查看了跨服地图，为什么我无法迁徙城市？/nA：参加跨服战斗需要你的城市等级达到10级，如果没有达到是无法参与跨服活动的。/n/nQ：跨服战场中有什么不一样的地方吗？/nA：跨服战场中你将和来自不同服务器的玩家一同游戏，注意他们城市名称的前缀；你可以通过击杀他们获得积分参与排名赢取奖励。/n/nQ：我看到有一些城堡，它有什么功能吗？/nA：城堡是用来占领的，当然恐怕你一个人时无法守住一座城堡的，所以需要你的盟友也参与进来。/n/nQ：那我占领了城堡有什么好处么？/nA：城堡提供给你的联盟排名积分和国家排名积分，最终这些积分将帮助你们赢得奖励。/n/nQ：我应该如何有效的获得积分？/nA：攻击其他玩家和怪物，杀伤敌方的士兵可以获得大量积分。/n/nQ：我发现地图上没有资源点，我该如何获得资源？/nA：那些怪物身上都有巨额的资源，你应该通过击杀他们获得，当然怪物并不强大，你应该足以自己应付。/n/nQ：能谈谈我们最终会获得什么奖励吗？/nA：个人的奖励将分为两部分，第一部分是目标性的，只要你完成目标就能获得；第二部分是排名性的，你必须进入积分榜的前几名才能获得奖励，两种奖励都是巨大的。联盟的奖励方式和个人相似，不过完成联盟目标后整个联盟都会获得奖励。/n/nQ：你只说了个人和联盟的奖励，那服务器奖励是什么呢？/nA：我相信你一定希望自己的战斗事迹能与大家一同分享，服务器奖励我们将会给获胜者所在的服务器地图刷新金矿，让所有人都能参与到这份喜悦中来。/n/nQ：如果我在跨服中的表现不如意我有机会重新再来么？/nA：跨服战场将持续3天，当你无法承受时你可以考虑回到自己的服务器进行补给，当你完成补给工作后你可以再次回来，这不会影响你的成绩。我们在之后的岁月里也会定期开放跨服活动，你可以积蓄实力等待一下次战斗。/n/nQ：我决定参加跨服活动了，有什么好建议吗？/nA：和你的朋友一起，不要有顾虑，好好享受。" x="103.5"  width="513"/>
		</mx:Canvas>
		<mx:Button styleName="btn05" label="查看排名" x="120" y="1137" setts="9" onclick="crossService_click"/>
		<mx:Button styleName="btn03" label="${arg[2]}" enabled="${arg[3]}" x="392" y="1137" setts="${arg[1]}" onclick="crossService_click"/>
	</mx:Canvas>
</mx:Canvas>]]



function crossService_show(a)
	if a then
		g_dTouchX = a.dTouchX
		g_dTouchY = a.dTouchY
	end
	local arg = {}
	if CUserData.m_aCrossService then
		if CUserData.m_aCrossService[1] <= 0 then
			arg = {0,"进入","false"}
		else
			if getMapServiceid() == 0 then
				arg = {1,"进入","true"}
			else
				arg = {2,"回服","true"}
			end
		end
	else
		CUserData.m_aCrossService = {0,0,0}
		arg = {0,"进入","false"}
	end
	flextodiv(div_crossService_str,arg,"frame_more",nil,nil,{5,"crossService_cmp",{g_dTouchX , g_dTouchY}})--
end

function crossService_fresh()
	if getid2("frame_more","crossServicediv") then
		crossService_show()
	end
end

function crossService_click(a)
	local t = tonumber(a.pBase:getts())
	if t == 0 then
		
	elseif t == 1 then
		if CUserData:getBuildMaxLvByid(1) < 10 then --议院等级小于10
			showClue("议院等级达到10级才能进入跨服战场。")
			return
		end
		crossComein_show(-1)
	elseif t == 2 then
		crossComein_show(0)
	elseif t == 9 then
		crossList_show()
	end
	crossService_close()
end


function crossService_cmp()
	settimer(TIMER_ID_CROSS_TIME,0,"crossService_time",0)
	settimer(TIMER_ID_CROSS_TIME,1000,"crossService_time",1000000)
end

function crossService_time()
	local div = getid2("crossServicediv","crosstime")
	if div then
		div:changetext(crossService_getTimeStr())
	end
end

function crossService_getTimeStr()
	if CUserData.m_aCrossService[2] == 0 then
		settimer(TIMER_ID_CROSS_TIME,0,"worldcup_Time",0)
		return CData:GetTranlang("未开始")
	end
	local time = 0
	local str = ""
	if CUserData.m_aCrossService[1] == 0 then
		str = CData:GetTranlang("开始时间: %s")
		time = CUserData:getLeavingsTime(CUserData.m_aCrossService[2])
	elseif CUserData.m_aCrossService[1] == 1 then
		str = CData:GetTranlang("结束时间: %s")
		time = CUserData:getLeavingsTime(CUserData.m_aCrossService[3])
	else
		str = CData:GetTranlang("已经结束")
		settimer(TIMER_ID_CROSS_TIME,0,"worldcup_Time",0)
		return str
	end
	if time > 0 then
		str = string.format(str,formatTime(time,true))
	else
		str = string.format(str,formatTime(time,true))
		CUserData:initCross(CUserData.m_aCrossService)
	end
	return str
end


function crossService_close()
	settimer(TIMER_ID_CROSS_TIME,0,"worldcup_Time",0)
	deldiv("frame_more","crossServicediv",{5})
end

